package com.ym.mec.web.dal.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.web.dal.entity.Organization;

public interface OrganizationDao extends BaseDAO<Integer, Organization> {

    /**
     * 根据父级id查询子级列表
     * @param parentId
     * @return
     */
    List<Organization> findByParentId(@Param("parentId") Integer parentId, @Param("delFlag") String delFlag);

    /**
     * 根据机构编码查机构
     * @param code
     * @return
     */
    Organization findByCode(@Param("code") int code);
}