package com.ym.mec.web.dal.entity;

import com.ym.mec.web.dal.enums.TeachTypeEnum;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(teacher_class_fee):
 */
public class TeacherClassFee {

	/**  */
	private Long id;
	
	/**  */
	@ApiModelProperty(value = "乐团编号",required = false)
	private Integer musicGroupId;
	
	/**  */
	@ApiModelProperty(value = "课程组编号",required = false)
	private Integer classGroupId;
	
	/**  */
	@ApiModelProperty(value = "教师编号",required = false)
	private Integer teacherId;
	
	/** 职务类型（助教、主教） */
	@ApiModelProperty(value = "职务类型",required = false)
	private TeachTypeEnum jobType;
	
	/**  */
	@ApiModelProperty(value = "教师编号",required = false)
	private long classFee;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;
	
	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setMusicGroupId(Integer musicGroupId){
		this.musicGroupId = musicGroupId;
	}
	
	public Integer getMusicGroupId(){
		return this.musicGroupId;
	}
			
	public void setClassGroupId(Integer classGroupId){
		this.classGroupId = classGroupId;
	}
	
	public Integer getClassGroupId(){
		return this.classGroupId;
	}
			
	public void setTeacherId(Integer teacherId){
		this.teacherId = teacherId;
	}
	
	public Integer getTeacherId(){
		return this.teacherId;
	}

	public TeachTypeEnum getJobType() {
		return jobType;
	}

	public void setJobType(TeachTypeEnum jobType) {
		this.jobType = jobType;
	}

	public void setClassFee(long classFee){
		this.classFee = classFee;
	}
	
	public long getClassFee(){
		return this.classFee;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
