package com.ym.mec.web.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.common.service.impl.BaseServiceImpl;
import com.ym.mec.web.dal.dao.TeacherClassFeeDao;
import com.ym.mec.web.dal.entity.TeacherClassFee;
import com.ym.mec.web.service.TeacherClassFeeService;

@Service
public class TeacherClassFeeServiceImpl extends BaseServiceImpl<Long, TeacherClassFee>  implements TeacherClassFeeService {
	
	@Autowired
	private TeacherClassFeeDao teacherClassFeeDao;

	@Override
	public BaseDAO<Long, TeacherClassFee> getDAO() {
		return teacherClassFeeDao;
	}
	
}